Bug 984906 - Problems with latest mesa in Fedora 18/19 and nvidia from rpm fusion
Problems with latest mesa in Fedora 18/19 and nvidia from rpm fusion
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-16 06:38 EDT by maldun.finsterschreck
Modified: 2013-10-09 14:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-09 14:26:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description maldun.finsterschreck 2013-07-16 06:38:17 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Fresh install of Fedora 18 / or updatet from Fedora 17
2. Install akmod nivida driver from rpm fusion
like in http://www.if-not-true-then-false.com/2013/fedora-18-nvidia-guide/

Actual results: 
When starting glxgears:

libGL error: failed to load driver: swrast
libGL error: Try again with LIBGL_DEBUG=verbose for more details.
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.

Expected results: No Error

Additional info: Relates to this Bug: https://bugzilla.rpmfusion.org/show_bug.cgi?id=2758

sudo rpm -e mesa-libGL.i686 --nodeps
sudo rpm -e mesa-libGL.x86_64 --nodeps

I don't know if it is correct to post this here, but the problem lies within the mesa packages and it's dependencies and not in the akmod package from rpm fusion. It seems relating to
https://bugzilla.rpmfusion.org/show_bug.cgi?id=2758 that this was fixed in mesa 9.1.1 but I have now 9.2 (latest) and the problem appears again.

Please fix this for the Fedora 18 packages
Comment 1 maldun.finsterschreck 2013-07-19 06:32:44 EDT
Did update today, and had to redo the steps to resolve the issue.
Comment 2 maldun.finsterschreck 2013-07-26 10:35:43 EDT
Problem also appears in a fresh installation of Fedora 19!!!

See also this thread in the forums:

Comment 3 pmarques 2013-07-31 13:09:04 EDT
Upgrade 18 -> 19 (x86_64) 

Removing mesa-libGL.i686 and mesa-libGL.x86_64 did not resolved the issue installing xorg-x11-drv-nvidia-libs-319.32-7.fc19.i686 did.
xorg-x11-drv-nvidia-libs-319.32-7.fc19.x86_64 is also installed.
Comment 4 maldun.finsterschreck 2013-09-06 02:16:40 EDT
Problem still persists after several updates
Comment 5 Adam Jackson 2013-10-09 14:26:18 EDT
This is an rpmfusion bug, please take it up with them.

Note You need to log in before you can comment on or make changes to this bug.